summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJory Pratt <anarchy@gentoo.org>2020-04-17 11:54:40 -0500
committerJory Pratt <anarchy@gentoo.org>2020-04-17 11:54:40 -0500
commitebbcd7446cb86cc102798f548bd4c7125f5c03b4 (patch)
treeaaab65c9b92c9b119b428b63eafe12b08eeb32ae
parentsys-devel/binutils: force 2MB stacksize for musl users (diff)
downloadanarchy-ebbcd7446cb86cc102798f548bd4c7125f5c03b4.tar.gz
anarchy-ebbcd7446cb86cc102798f548bd4c7125f5c03b4.tar.bz2
anarchy-ebbcd7446cb86cc102798f548bd4c7125f5c03b4.zip
www-client/firefox: Version bump 76.0b5
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Jory Pratt <anarchy@gentoo.org>
-rw-r--r--www-client/firefox/Manifest2
-rw-r--r--www-client/firefox/firefox-76.0_beta5.ebuild (renamed from www-client/firefox/firefox-76.0_beta4.ebuild)8
2 files changed, 8 insertions, 2 deletions
diff --git a/www-client/firefox/Manifest b/www-client/firefox/Manifest
index 50a44c9..e792e39 100644
--- a/www-client/firefox/Manifest
+++ b/www-client/firefox/Manifest
@@ -1,2 +1,2 @@
DIST firefox-76.0-patches-02.tar.xz 17240 BLAKE2B 8483771550a78f89c3558f0c7bdaf2fc67346a470aa8f5fc9952e1ddbe3d16f309b51451a10739cb4e7a1881ece23de285a9d7ed04b5e981c161c12b0b45c2bc SHA512 6d9837da7fa96b1fdd68698a038b9a5fba8d5f59e6a0ff6b4f45bc5e26ddf8ae871f7d1bd4515cce9a57a876647500243e594e37c84048bda119b4da6a5db9f6
-DIST firefox-76.0b4.source.tar.xz 322689008 BLAKE2B d3d9385d4a3037323782a4763b5c22e4c5ef288a1e24bd6e634cf6d980151e603ca0310a89b57cba9ed84564dbd174a3f05085717477196a3d4c8d2e2593841c SHA512 474551370a51e0def7d131b4fc74a10886aa8009681187621edeca27afa2b394d250cd7543da760cf6b22155cd9bd727b4a7aaf3b23f58bab0fea35634da15bd
+DIST firefox-76.0b5.source.tar.xz 322821816 BLAKE2B efca1e96a1dc15f1b63c777c512061b99940b3805853ef19b5d892c70a8eccb829d7ba3f90df21090c8de8e43eb0b31c3396a1da3fe7049b05114096a13508b4 SHA512 2117e8c3dde6be80757571363cd57f64b4a079810aa283bbee16310884594f99d4e08aa91fc22ff648bb4d7c57d68f53c4b051ea523edcf05876c949da7fe364
diff --git a/www-client/firefox/firefox-76.0_beta4.ebuild b/www-client/firefox/firefox-76.0_beta5.ebuild
index 3a92e8e..32868ea 100644
--- a/www-client/firefox/firefox-76.0_beta4.ebuild
+++ b/www-client/firefox/firefox-76.0_beta5.ebuild
@@ -42,7 +42,7 @@ LLVM_MAX_SLOT=10
inherit check-reqs eapi7-ver flag-o-matic toolchain-funcs eutils \
gnome2-utils llvm mozcoreconf-v6 pax-utils xdg-utils \
- autotools mozlinguas-v2 virtualx eapi7-ver
+ autotools mozlinguas-v2 multiprocessing virtualx eapi7-ver
DESCRIPTION="Firefox Web Browser"
HOMEPAGE="https://www.mozilla.com/firefox"
@@ -318,6 +318,12 @@ src_prepare() {
# Allow user to apply any additional patches without modifing ebuild
eapply_user
+ # Make LTO respect MAKEOPTS
+ sed -i \
+ -e "s/multiprocessing.cpu_count()/$(makeopts_jobs)/" \
+ "${S}"/build/moz.configure/toolchain.configure \
+ || die "sed failed to set num_cores"
+
# prebuilt glibc binary files cause python2.7 segfault on musl
if use elibc_musl; then
rm "${S}"/third_party/python/psutil/psutil/*.so